import { BatchMintRequest, IssueRequest, MintRequest } from '../../request';
import { BaseSecurityInPort } from '../BaseSecurityInPort';
export interface ISecurityInPortIssue {
    issue(request: IssueRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    batchMint(request: BatchMintRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    mint(request: MintRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
}
export declare class SecurityInPortIssue extends BaseSecurityInPort implements ISecurityInPortIssue {
    issue(request: IssueRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    mint(request: MintRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    batchMint(request: BatchMintRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
}
